unit Ablak;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Grids, Buttons;

type

  { Tfm }

  Tfm = class(TForm)
    bbVissza: TBitBtn;
    btFajlbol: TButton;
    btFajlba: TButton;
    edPontSzam: TEdit;
    lbCim: TLabel;
    lbPontSzam: TLabel;
    odBe: TOpenDialog;
    sdKi: TSaveDialog;
    sg: TStringGrid;
    procedure btFajlbaClick(Sender: TObject);
    procedure btFajlbolClick(Sender: TObject);
    procedure edPontSzamEditingDone(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  fm: Tfm;

implementation

{ Tfm }

uses
  FoAblak;

procedure Tfm.edPontSzamEditingDone(Sender: TObject);
  var
    szam,siker,i,j:integer;
begin
  Val(edPontSzam.Text,szam,siker);
  if (siker<>0) or (szam<2) then
  begin
    edPontSzam.SetFocus;
    edPontSzam.Color:=clRed;
  end
    else
  begin
    edPontSzam.Color:=clWindow;
    PontDb:=szam;
    sg.RowCount:=szam+1; sg.ColCount:=szam+1;
    for i:=1 to szam do
    begin
      sg.Cells[0,i]:=intToStr(i);
      sg.Cells[i,0]:=intToStr(i);
    end;//for
    for i:=1 to szam do
    begin
      for j:=1 to szam do
      begin
        sg.Cells[i,j]:='0';
      end;//for
    end;//for
  end;//if
end;//Tfm.edPontSzamEditingDone

// Gombok esemnyei: ----------------------------------------------------------

procedure Tfm.btFajlbolClick(Sender: TObject);
  var
    fBeN:string;
    fBe:TextFile;
    szam,i,j:integer;
begin
  if odBe.execute then
  begin
    fBeN:=odBe.FileName;
    assignFile(fBe,fBeN); reset(fBe);
    readln(fBe,PontDb);
    edPontSzam.Text:=intToStr(PontDb); edPontSzamEditingDone(Sender);
    for i:=1 to PontDb do
    begin
      for j:=1 to PontDb do
      begin
        read(fBe,szam);
        sg.Cells[i,j]:=intToStr(szam);
      end;//for j
      readln(fBe);
    end;//for i
    closeFile(fBe);
  end;//if odBe
end;//Tfm.btFajlbolClick

procedure Tfm.btFajlbaClick(Sender: TObject);
  var
    fKiN:string;
    fKi:TextFile;
    i,j:integer;
begin
  if sdKi.execute then
  begin
    fKiN:=sdKi.FileName;
    assignFile(fKi,fKiN); rewrite(fKi);
    writeln(fKi,PontDb);
    for i:=1 to PontDb do
    begin
      for j:=1 to PontDb do
      begin
        write(fKi,' '+sg.Cells[i,j]);
      end;//for j
      writeln(fKi);
    end;//for i
    closeFile(fKi);
  end;//if sdKi
end;//Tfm.btFajlbaClick

initialization
  {$I ablak.lrs}

end.

