unit FoAblak;
(*
  Lazarus v0.9.16 beta

  keretalkalmazs a grfok brzolsa tmakrhz.
  
  Feladat:
  1. a CscsLists brzols mdostsa gy,
     hogy az egyes leknek lehessen hossza;
  2. j unitban megvalstani a 3 tipikus grfbrzols
     egymsba transzforml mveleteit.
*)

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { TfmFoAblak }

  TfmFoAblak = class(TForm)
    bbVege: TBitBtn;
    gbAbrFajta: TGroupBox;
    gbKovertalando: TGroupBox;
    lbCim: TLabel;
    rbCsMme: TRadioButton;
    rbELva: TRadioButton;
    rbCsLva: TRadioButton;
    rbCsM: TRadioButton;
    rbEL: TRadioButton;
    rbCsL: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure rbCsLClick(Sender: TObject);
    procedure rbCsLvaClick(Sender: TObject);
    procedure rbCsMClick(Sender: TObject);
    procedure rbCsMmeClick(Sender: TObject);
    procedure rbELClick(Sender: TObject);
    procedure rbELvaClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  fmFoAblak: TfmFoAblak;
  PontDb,ElDb,MaxElDb: Integer;

implementation

{ TfmFoAblak }

uses
  CsucsMatrixAblak, CsucsListaAblak, ElListaAblak;

procedure TfmFoAblak.rbCsMClick(Sender: TObject);
begin
  fmCsucsMatrix.Visible:=true;
  rbCsMme.Enabled:=False; rbCsLva.Enabled:=True; rbElva.Enabled:=True;
end;

procedure TfmFoAblak.rbCsLClick(Sender: TObject);
begin
  fmCsucsLista.Visible:=true;
  rbCsMme.Enabled:=True; rbCsLva.Enabled:=False; rbElva.Enabled:=True;
end;

procedure TfmFoAblak.rbELClick(Sender: TObject);
begin
  fmElLista.Visible:=true;
  rbCsMme.Enabled:=True; rbCsLva.Enabled:=True; rbElva.Enabled:=False;
end;

procedure TfmFoAblak.rbCsMmeClick(Sender: TObject);
begin
  if
    rbEL.Checked then
      begin
       //ElListabol_CsucsMatrix
      end else if
    rbCsL.Checked then
      begin
       //CsucsListabol_CsucsMatrix
      end
  {endif};
end;//TfmFoAblak.rbCsMmeClick

procedure TfmFoAblak.rbELvaClick(Sender: TObject);
begin
  if
    rbCsM.Checked then
      begin
       //CsucsMatrixbol_ElListabol
      end else if
    rbCsL.Checked then
      begin
       //CsucsListabol_ElListabol
      end
  {endif};
end;//TfmFoAblak.rbELvaClick

procedure TfmFoAblak.rbCsLvaClick(Sender: TObject);
begin
  if
    rbCsM.Checked then
      begin
       //CsucsMatrixbol_CsucsListava
      end else if
    rbEL.Checked then
      begin
        //ElListabol_CsucsListava
      end
  {endif};
end;//TfmFoAblak.rbCsLvaClick

// inicializls: -------------------------------------------------------------

procedure TfmFoAblak.FormCreate(Sender: TObject);
begin
  PontDb:=5; ElDb:=5; MaxElDb:=5;
  rbCsMme.Enabled:=False; rbCsLva.Enabled:=True; rbElva.Enabled:=True;
end;

initialization
  {$I foablak.lrs}

end.

