unit CsucsListaAblak;
(*
  Lazarus v0.9.16 beta
*)

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Grids, Buttons;

type

  { TfmCsucsLista }

  TfmCsucsLista = class(TForm)
    bbVissza: TBitBtn;
    btFajlbol: TButton;
    btFajlba: TButton;
    edMaxElSzam: TEdit;
    edPontSzam: TEdit;
    lbMaxElSzam: TLabel;
    lbCim: TLabel;
    lbPontSzam: TLabel;
    odBe: TOpenDialog;
    sdKi: TSaveDialog;
    sgCsucsLista: TStringGrid;
    procedure btFajlbaClick(Sender: TObject);
    procedure btFajlbolClick(Sender: TObject);
    procedure edMaxElSzamEditingDone(Sender: TObject);
    procedure edPontSzamEditingDone(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  fmCsucsLista: TfmCsucsLista;

implementation

{ TfmCsucsLista }

uses
  FoAblak;

procedure TfmCsucsLista.edPontSzamEditingDone(Sender: TObject);
  var
    szam,siker,i,j:integer;
begin
  Val(edPontSzam.Text,szam,siker);
  if (siker<>0) or (szam<2) then
  begin
    edPontSzam.SetFocus;
    edPontSzam.Color:=clRed;
  end
    else
  begin
    edPontSzam.Color:=clWindow;
    PontDb:=szam;
    sgCsucsLista.RowCount:=PontDb+1; sgCsucsLista.ColCount:=MaxElDb+1;
    for i:=1 to PontDb do
    begin
      sgCsucsLista.Cells[0,i]:=intToStr(i);
      sgCsucsLista.Cells[i,0]:=intToStr(i);
    end;//for
    for i:=1 to PontDb do
    begin
      for j:=1 to MaxElDb do
      begin
        sgCsucsLista.Cells[j,i]:='0';
      end;//for j
    end;//for i
  end;//if
end;//TfmCsucsLista.edPontSzamEditingDone

procedure TfmCsucsLista.edMaxElSzamEditingDone(Sender: TObject);
  var
    szam,siker,i,j:integer;
begin
  Val(edMaxElSzam.Text,szam,siker);
  if (siker<>0) then
  begin
    edMaxElSzam.SetFocus;
    edMaxElSzam.Color:=clRed;
  end
    else
  begin
    edMaxElSzam.Color:=clWindow;
    MaxElDb:=szam;
    sgCsucsLista.RowCount:=PontDb+1; sgCsucsLista.ColCount:=MaxElDb+1;
    for i:=1 to PontDb do
    begin
      sgCsucsLista.Cells[0,i]:=intToStr(i);
    end;//for i
    for i:=1 to MaxElDb do
    begin
      sgCsucsLista.Cells[i,0]:=intToStr(i);
    end;//for i
    for i:=1 to PontDb do
    begin
      for j:=1 to MaxElDb do
      begin
        sgCsucsLista.Cells[j,i]:='0';
      end;//for j
    end;//for i
  end;//if
end;//TfmCsucsLista.edMaxElSzamEditingDone

// Gombok esemnyei: ----------------------------------------------------------

procedure TfmCsucsLista.btFajlbolClick(Sender: TObject);
  var
    fBeN:string;
    fBe:TextFile;
    szam,i,j:integer;
begin
  if odBe.execute then
  begin
    fBeN:=odBe.FileName;
    assignFile(fBe,fBeN); reset(fBe);
    readln(fBe,PontDb,MaxElDb);
    edPontSzam.Text:=intToStr(PontDb);   //edPontSzamEditingDone(Sender);
    edMaxElSzam.Text:=intToStr(MaxElDb); edMaxElSzamEditingDone(Sender);
    for i:=1 to PontDb do
    begin
      for j:=1 to MaxElDb do
      begin
        read(fBe,szam);
        sgCsucsLista.Cells[j,i]:=intToStr(szam);
      end;//for j
      readln(fBe);
    end;//for i
    closeFile(fBe);
  end;//if odBe
end;//TfmCsucsLista.btFajlbolClick

procedure TfmCsucsLista.btFajlbaClick(Sender: TObject);
  var
    fKiN:string;
    fKi:TextFile;
    i,j:integer;
begin
  if sdKi.execute then
  begin
    fKiN:=sdKi.FileName;
    assignFile(fKi,fKiN); rewrite(fKi);
    writeln(fKi,PontDb,' ',MaxElDb);
    for i:=1 to PontDb do
    begin
      for j:=1 to MaxElDb do
      begin
        write(fKi,' '+sgCsucsLista.Cells[j,i]);
      end;//for j
      writeln(fKi);
    end;//for i
    closeFile(fKi);
  end;//if sdKi
end;//TfmCsucsLista.btFajlbaClick

initialization
  {$I csucslistaablak.lrs}

end.

