unit ElListaAblak;
(*
  Lazarus v0.9.16 beta
*)

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Grids, Buttons;

type

  { TfmElLista }

  TfmElLista = class(TForm)
    bbVissza: TBitBtn;
    btFajlbol: TButton;
    btFajlba: TButton;
    edElSzam: TEdit;
    lbCim: TLabel;
    lbElSzam: TLabel;
    odBe: TOpenDialog;
    sdKi: TSaveDialog;
    sgElLista: TStringGrid;
    procedure btFajlbaClick(Sender: TObject);
    procedure btFajlbolClick(Sender: TObject);
    procedure edElSzamEditingDone(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  fmElLista: TfmElLista;

implementation

{ TfmElLista }

uses
  FoAblak;

procedure TfmElLista.edElSzamEditingDone(Sender: TObject);
  var
    szam,siker,i,j:integer;
begin
  Val(edElSzam.Text,szam,siker);
  if (siker<>0) then
  begin
    edElSzam.SetFocus;
    edElSzam.Color:=clRed;
  end
    else
  begin
    edElSzam.Color:=clWindow;
    ElDb:=szam;
    sgElLista.RowCount:=ElDb+1;
    for i:=1 to ElDb do
    begin
      sgElLista.Cells[0,i]:=intToStr(i);
    end;//for
    for i:=1 to ElDb do
    begin
      for j:=1 to 3 do
      begin
        sgElLista.Cells[j,i]:='0';
      end;//for
    end;//for
  end;//if
end;//TfmElLista.edElSzamEditingDone

// Gombok esemnyei: ----------------------------------------------------------

procedure TfmElLista.btFajlbolClick(Sender: TObject);
  var
    fBeN:string;
    fBe:TextFile;
    tol,ig,hossz,i:integer;
begin
  if odBe.execute then
  begin
    fBeN:=odBe.FileName;
    assignFile(fBe,fBeN); reset(fBe);
    readln(fBe,ElDb);
    edElSzam.Text:=intToStr(ElDb); edElSzamEditingDone(Sender);
    for i:=1 to ElDb do
    begin
      readln(fBe,tol,ig,hossz);
      sgElLista.Cells[1,i]:=intToStr(tol);
      sgElLista.Cells[2,i]:=intToStr(ig);
      sgElLista.Cells[3,i]:=intToStr(hossz);
    end;//for i
    closeFile(fBe);
  end;//if odBe
end;//TfmElLista.btFajlbolClick

procedure TfmElLista.btFajlbaClick(Sender: TObject);
  var
    fKiN:string;
    fKi:TextFile;
    i:integer;
begin
  if sdKi.execute then
  begin
    fKiN:=sdKi.FileName;
    assignFile(fKi,fKiN); rewrite(fKi);
    writeln(fKi,ElDb);
    for i:=1 to ElDb do
    begin
      writeln(fKi,' '+sgElLista.Cells[1,i]+
                  ' '+sgElLista.Cells[2,i]+' '+sgElLista.Cells[3,i]);
    end;//for i
    closeFile(fKi);
  end;//if sdKi
end;//TfmElLista.btFajlbaClick

initialization
  {$I ellistaablak.lrs}

end.

